/*
Note: this is a modified copy of ../default/visualizer.c, originally licensed GPL.
*/

#include "simple_visualizer.h"
#include <stdio.h>

// This function should be implemented by the keymap visualizer
// Don't change anything else than state->target_lcd_color and state->layer_text as that's the only thing
// that the simple_visualizer assumes that you are updating
// Also make sure that the buffer passed to state->layer_text remains valid until the previous animation is
// stopped. This can be done by either double buffering it or by using constant strings
static void get_visualizer_layer_and_color(visualizer_state_t* state) {
    // LCD_COLOR(  0,   0, 255); // White  <> RGB(255,255,255)
    // LCD_COLOR( 85, 255, 255); // Green  <> RGB(  0,255,255)
    // LCD_COLOR(  0, 255, 255); // Red    <> RGB(255,  0,255)
    // LCD_COLOR(170, 255, 255); // Blue   <> RGB(  0,  0,255)
    // LCD_COLOR(213, 255, 255); // Purple <> RGB(255,  0,255)
    // LCD_COLOR( 42, 255, 255); // Yellow <> RGB(255,  0,255)
    // LCD_COLOR(128, 255, 255); // Aqua   <> RGB(  0,255,255)
    // uint8_t saturation = 150;
    // if (state->status.leds & (1u << USB_LED_CAPS_LOCK)) {
    //     saturation = 255;
    // }
    if (state->status.layer & 0x80) {
        state->target_lcd_color = LCD_COLOR(42, 255, 60);
        state->layer_text = "0x80 WTF";

    } else if (state->status.layer & 0x40) {
        state->target_lcd_color = LCD_COLOR(42, 255, 60);
        state->layer_text = "0x40 WTF";

    } else if (state->status.layer & 0x20) {
        state->target_lcd_color = LCD_COLOR(128, 255, 60);
        state->layer_text = "LoL Alt Remap";

    } else if (state->status.layer & 0x10) {
        state->target_lcd_color = LCD_COLOR(42, 255, 60);
        state->layer_text = "LoL good|bad";

    } else if (state->status.layer & 0x8) {
        state->target_lcd_color = LCD_COLOR(170, 255, 155);
        state->layer_text = "QWERTY Ftw!";

    } else if (state->status.layer & 0x4) {
        state->target_lcd_color = LCD_COLOR(  0, 255, 155);
        state->layer_text = "Accents|Keypad";

    } else if (state->status.layer & 0x2) {
        state->target_lcd_color = LCD_COLOR( 85, 255, 155);
        state->layer_text = "Code|Move  F6|F7";

    } else {
        state->target_lcd_color = LCD_COLOR(0, 0, 255);
        state->layer_text = "Olivier Pons";
    }
	//if ((state->status.layer & 0xF)==0) {
	//	state->layer_text = "0";
	//} else if ((state->status.layer & 0xF)==1) {
	//	state->layer_text = "1";
	//} else if ((state->status.layer & 0xF)==2) {
	//	state->layer_text = "2";
	//} else if ((state->status.layer & 0xF)==3) {
	//	state->layer_text = "3";
	//} else if ((state->status.layer & 0xF)==4) {
	//	state->layer_text = "4";
	//} else if ((state->status.layer & 0xF)==5) {
	//	state->layer_text = "5";
	//} else if ((state->status.layer & 0xF)==6) {
	//	state->layer_text = "6";
	//} else if ((state->status.layer & 0xF)==7) {
	//	state->layer_text = "7";
	//} else if ((state->status.layer & 0xF)==8) {
	//	state->layer_text = "8";
	//} else if ((state->status.layer & 0xF)==9) {
	//	state->layer_text = "9";
	//} else if ((state->status.layer & 0xF)==10) {
	//	state->layer_text = "10";
	//} else if ((state->status.layer & 0xF)==11) {
	//	state->layer_text = "11";
	//} else if ((state->status.layer & 0xF)==12) {
	//	state->layer_text = "12";
	//} else if ((state->status.layer & 0xF)==13) {
	//	state->layer_text = "13";
	//} else if ((state->status.layer & 0xF)==14) {
	//	state->layer_text = "14";
	//} else if ((state->status.layer & 0xF)==15) {
	//	state->layer_text = "15";
	//} else {
	//	state->layer_text = "WTF";
	//}
}
